import webSearch_zh from "@/i18n/message/webSearch/zh";
import webSearch_ru from "@/i18n/message/webSearch/ru";
import webContact_zh from "@/i18n/message/webContact/zh";
import webContact_ru from "@/i18n/message/webContact/ru";
import activity_ru from "@/i18n/message/activity/ru";
import activity_zh from "@/i18n/message/activity/zh";
import { admin_zh, admin_ru } from "@/i18n/message/admin";
import { routes_ru, routes_zh } from "@/i18n/message/routes";
import { tagsView_ru, tagsView_zh } from "@/i18n/message/tagsView";
import common_zh from "@/i18n/message/common/zh";
import common_ru from "@/i18n/message/common/ru";

const messages = {
  zh: {
    admin: admin_zh,
    routes: routes_zh,
    tagsView: tagsView_zh,
    common: common_zh,
    headerMenu: {
      hello: "你好，世界",
      home: "首页",
      about: "关于",
      resolution: "解决方案",
      innovation: "创新服务",
      activity: "活动报名",
      aboutUs: "关于我们",
      loginRegister: "登录注册",
      personalCenter: "个人中心",
      logout: "退出登录",
      switchSystem: "切换系统",
      layoutSettings: "布局设置",
      changeAvatar: "更换头像",
    },
    footer: {
      copyRight: "中科云 版权所有",
    },
    webSearch: webSearch_zh,
    webContact: webContact_zh,
    quantityOverview: {
      company: "企业数量",
      achievement: "成果数量",
      lab: "实验室数量",
      patent: "专利数量",
      expert: "专家数量",
      demand: "需求数量",
    },
    login: {
      accountLogin: "账号密码登录",
      forgetPassword: "忘记密码",
      register: "注册",
      login: "登录",
      rememberAccount: "记住账号",
      loginAgreement: "登录即同意",
      agreement: "协议",
      phone: "手机号",
      verificationCode: "验证码",
      getVerificationCode: "获取验证码",
      password: "密码",
      confirmPassword: "请再次输入密码",
      otherLogin: "其他登录方式",
    },
    register: {
      agree: "勾选即同意",
      registerAgreement: "注册协议",
      register: "注 册",
      toLogin: "已有账号，去登录",
      registering: "注 册 中...",
      passwordInconsistent: "两次输入的密码不一致",
      readAndCheck: "请阅读并勾选",
      registerSuccess: "注册成功!",
      registerSuccessDescription: "恭喜您已注册成功，您的账号",
    },
    map: {
      expertMap: "专家分布地图",
      companyMap: "企业分布地图",
      patentMap: "专利分布地图",
      achievementMap: "成果分布地图",
      labMap: "实验室分布地图",
      demandMap: "需求分布地图",
      technologyMap: "技术分布地图",
      area: "地区",
      field: "领域",
      noData: "暂无",
      serviceSite: "全国服务站点",
      more: "查看更多",
    },
    activity: activity_zh,
    innovation: {
      intelligenceService: "情报服务",
      intelligenceServiceDetails: "情报服务详情",
      buyService: "购买服务",
    },
    solution: {
      solution: "解决方案",
      serviceCase: "服务案例",
      serviceCaseDetails: "服务案例详情",
      pageviews: "浏览量",
    },
    retrieve: {
      retrievePassword: "找回密码",
      changePasswordSuccess: "修改密码成功",
    },
    input: {
      phone: "手机号",
      password: "密码",
      verificationCode: "验证码",
      age: "年龄",
      gender: "性别",
      name: "姓名",
      input: "请输入",
      inputName: "请输入姓名",
      inputPhone: "请输入手机号",
      inputEmail: "请输入邮箱",
      inputPassword: "请输入密码",
      inputVerificationCode: "请输入验证码",
      inputCompanyName: "请输入企业名称",
      inputGender: "请选择性别",
      inputAge: "请输入年龄",
      inputKeyword: "请输入关键词",
      phoneFormatError: "手机号格式不正确",
      inputPasswordAgain: "请再次输入您的密码",
      passwordInconsistent: "两次输入的密码不一致",
      passwordLengthError: "用户密码长度必须介于 5 和 20 之间",
      confirmPassword: "确认密码",
      inputNewPassword: "请输入新密码",
    },
    gender: {
      male: "男",
      female: "女",
    },
  },
  ru: {
    admin: admin_ru,
    routes: routes_ru,
    tagsView: tagsView_ru,
    common: common_ru,
    headerMenu: {
      hello: "Привет мир",
      home: "Главная",
      about: "О нас",
      resolution: "Решение",
      innovation: "Инновационные услуги",
      activity: "Регистрация на мероприятие",
      aboutUs: "О нас",
      loginRegister: "Войти в систему",
      personalCenter: "Личный кабинет",
      logout: "Выйти из системы",
      switchSystem: "Переключить систему",
      layoutSettings: "Настройки макета",
      changeAvatar: "Сменить аватар",
    },
    footer: {
      copyRight: "Все права защищены",
    },
    webSearch: webSearch_ru,
    webContact: webContact_ru,
    quantityOverview: {
      company: "Количество компаний",
      achievement: "Количество достижений",
      lab: "Количество лабораторий",
      patent: "Количество патентов",
      expert: "Количество экспертов",
      demand: "Количество потребностей",
    },
    login: {
      accountLogin: "Вход в систему с помощью имени пользователя и пароля",
      forgetPassword: "Забыли пароль",
      register: "Регистрация",
      login: "Войти в систему",
      rememberAccount: "Запомнить аккаунт",
      loginAgreement: "Вход в систему означает согласие",
      agreement: "Соглашение",
      phone: "Номер телефона",
      verificationCode: "Код проверки",
      getVerificationCode: "Получить код проверки",
      password: "Пароль",
      confirmPassword: "Пожалуйста, введите пароль еще раз",
      otherLogin: "Другие способы входа в систему",
    },
    register: {
      agree: "Выберите, чтобы согласиться",
      registerAgreement: "Соглашение о регистрации",
      register: "Регистрация",
      toLogin: "Войти в систему",
      registering: "Регистрация",
      passwordInconsistent: "Пароли не совпадают",
      readAndCheck: "Пожалуйста, прочтите и отметьте",
      registerSuccess: "Регистрация успешна",
      registerSuccessDescription: "Поздравляем, вы успешно зарегистрировались",
    },
    map: {
      expertMap: "Карта распределения экспертов",
      companyMap: "Карта распределения компаний",
      patentMap: "Карта распределения патентов",
      achievementMap: "Карта распределения достижений",
      labMap: "Карта распределения лабораторий",
      demandMap: "Карта распределения потребностей",
      technologyMap: "Карта распределения технологий",
      area: "Область",
      field: "Область",
      noData: "Нет данных",
      serviceSite: "Сервисный сайт по всей стране",
      more: "Подробнее",
    },
    activity: activity_ru,
    innovation: {
      intelligenceService: "Умные услуги",
      intelligenceServiceDetails: "Детали умных услуг",
      buyService: "Купить услугу",
    },
    solution: {
      solution: "Решение",
      serviceCase: "Сервисный случай",
      serviceCaseDetails: "Детали сервисного случая",
      pageviews: "Просмотры",
    },
    retrieve: {
      retrievePassword: "Восстановить пароль",
      changePasswordSuccess: "Изменение пароля успешно",
    },
    input: {
      phone: "Номер телефона",
      password: "Пароль",
      verificationCode: "Код проверки",
      age: "Возраст",
      gender: "Пол",
      name: "Имя",
      input: "Пожалуйста, введите",
      inputName: "Пожалуйста, введите имя",
      inputPhone: "Пожалуйста, введите номер телефона",
      inputEmail: "Пожалуйста, введите адрес электронной почты",
      inputPassword: "Пожалуйста, введите пароль",
      inputVerificationCode: "Пожалуйста, введите код проверки",
      inputCompanyName: "Пожалуйста, введите название компании",
      inputGender: "Пожалуйста, выберите пол",
      inputAge: "Пожалуйста, введите возраст",
      inputKeyword: "Пожалуйста, введите ключевое слово",
      phoneFormatError: "Неверный формат номера телефона",
      inputPasswordAgain: "Пожалуйста, введите пароль еще раз",
      passwordInconsistent: "Пароли не совпадают",
      passwordLengthError: "Длина пароля должна быть от 5 до 20 символов",
      confirmPassword: "Пожалуйста, введите пароль еще раз",
      inputNewPassword: "Пожалуйста, введите новый пароль",
    },
    gender: {
      gender: "Пол",
      male: "Мужской",
      female: "Женский",
    },
  },
};

export default messages;
